<template lang="html">
    <div class="RegPage">
        <div class="welcome">
            <p>welcome to harrison</p>
        </div>
        <div class="RegTab">
                <v-tabs
              slider-color="#d6892f"

            >
              <div class="TabHeader container">
                  <v-tab>
                    By phone number
                  </v-tab>
                  <v-tab>
                    One-click
                  </v-tab>
                  <v-tab>
                    By e-mail
                  </v-tab>
                  <v-tab>
                    Via social network
                  </v-tab>
              </div>
              <!-- Registration By Phone Number -->
              <v-tab-item>
                <v-card flat>
                    <RegByPhone></RegByPhone>
                </v-card>
              </v-tab-item>
              <!-- Registration One-click -->
              <v-tab-item>
                <v-card flat>
                    <RegByOneClick></RegByOneClick>
                </v-card>
              </v-tab-item>
              <!-- Registration By e-mail -->
              <v-tab-item>
                <v-card flat>
                    <RegByEmail></RegByEmail>
                </v-card>
              </v-tab-item>
              <!-- Registration Via social network -->
              <v-tab-item>
                <v-card flat>
                    <RegByViaSocial></RegByViaSocial>
                </v-card>
              </v-tab-item>
            </v-tabs>
        </div>
    </div>
</template>

<script>

import RegByEmail from '@/components/RegByEmail';
import RegByPhone from '@/components/RegByPhone';
import RegByOneClick from '@/components/RegByOneClick';
import RegByViaSocial from '@/components/RegByViaSocial';

export default {
    components: {
        RegByEmail,
        RegByPhone,
        RegByOneClick,
        RegByViaSocial
    }
}
</script>

<style lang="scss" scoped>
.RegTab {
    .TabHeader {
        display: flex;
        padding: 0 15px;
        margin: 0 135px;
        justify-content: space-between;
        .v-tabs__div {
            width: 100%;
        }
    }
    .RegByPhone {
        text-align: left;
        .RegTitleBlock {
            display: flex;
            justify-content: space-between;

            font-weight: bold;
        }
        .textarea {
            width: 100%;

            border: 1px solid #eeeeee;
            border-radius: 5px;
            background-color: #eeeeee;

            padding: 2px 5px;

            resize: none;
        }
        .textarea:focus {
            outline: none;
        }
        .RegInfoText {
            color: #aeaeae;
        }
    }
    .RegViaSocial {
        text-align: center;
        .SocialBox {
            display: flex;
            justify-content: center;
            .SocBlock {
                width: 50%;
                .SocialList {
                    display: flex;
                    align-items: center;
                    justify-content: space-between;

                    list-style: none;

                    padding: 0;
                    margin: 20px 0;
                }
            }
        }
        .RegTitleBlock {
            display: flex;
            justify-content: space-between;

            font-weight: bold;
        }
        .textarea {
            width: 100%;

            border: 1px solid #eeeeee;
            border-radius: 5px;
            background-color: #eeeeee;

            padding: 2px 5px;

            resize: none;
        }
        .textarea:focus {
            outline: none;
        }
        .RegInfoText {
            color: #aeaeae;
        }
    }
}
    .RegPage {
        padding: 15px;
        background-image: url(../assets/bg_home.jpg);
        background-size: cover;
        background-position: bottom center;
        .welcome {
            padding: 15px 0;
            margin-bottom: 10px;
            background: #363c3f;
            p {
                text-align: center;
                margin: 0;
                color: white;
                text-shadow: 1px 1px 10px white;
                text-transform: uppercase;
                font-weight: bold;
            }
        }
    }
    .v-tabs__item--active {
        font-weight: bold;
        text-transform: none;
        color: red!important;
    }
    .v-stepper__step__step {
        padding: 10px;
        background: red;
        .v-icon {
            background: red;
        }
    }
    .theme--light.v-stepper .v-stepper__step:not(.v-stepper__step--active):not(.v-stepper__step--complete):not(.v-stepper__step--error) .v-stepper__step__step {
        background: white!important;
    }
    #step02 {
        padding: 0;
    }
</style>
